Bug 1897877 - A keyboard connected after login doesn't get Compose key binding
Summary: A keyboard connected after login doesn't get Compose key binding
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-tweaks
Version: 33
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Don Zickus
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-15 07:34 UTC by Robin A. Meade
Modified: 2020-12-02 08:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Robin A. Meade 2020-11-15 07:34:39 UTC
Description of problem:

Bluetooth keyboard loses its Compose key binding

How reproducible:

In Gnome Tweaks, assign a key as the Compose key.

- Suspended and wake the computer, or
- power off and back on the bluetooth keyboard

Actual results:

The bluetooth keyboard's Compose key binding is lost, as if I had never designated a Compose key

Expected results:

The key I chose to be the Compose key should continue to be the Compose key.

Additional info:

The keyboard built in to my laptop does not experience this issue; only the bluetooth keyboard does. 

My bluetooth keyboard is the Logitech k810.

Related discussion: https://ask.fedoraproject.org/t/10322

Experienced in Fedora 32 and Fedora 33.

Comment 1 Robin A. Meade 2020-11-16 20:26:59 UTC
Removed bluez component because the problem affects any keyboard (not just bluetooth) that is disconnected and reconnected after logging into to a graphical session.

Comment 2 Robin A. Meade 2020-11-16 22:55:14 UTC
Update: I can only reproduce this problem on a X11 session.
I cannot reproduce the problem on a Wayland session.

Comment 3 Robin A. Meade 2020-11-16 22:55:54 UTC
This fixed my problem on X11:

    sudo localectl set-x11-keymap us "" "" lv3:ralt_switch,compose:ralt

Then log out and back in.

After this change, the binding of Right Alt as my Compose key would no longer be lost when power-cycling my bluetooth keyboard.


Note You need to log in before you can comment on or make changes to this bug.